#!/bin/bash
#set -x

source /_config/bin/strstr.sh


if ( dd if=/dev/hda bs=512 count=1  2>/dev/null |grep GRUB >/dev/null 2>&1 ) ; then 
   BOOTLOADER="grub" 
else
   BOOTLOADER="lilo" 
fi
BOOT_DISK="$(mount |grep boot|cut -b 1-8)"
[ "$BOOT_DISK" = "" ] && BOOT_DISK="/dev/hda"

MAKE_FLAGS="mmx mmx2 mmxext sse sse2 3dnow 3dnowext"
CPU_FLAGS=$(grep "^flags" /proc/cpuinfo)

#remove LPJ
sed -i /etc/lilo.conf -e "s/\(.*\)lpj=[0-9]*\(.*\)/\1\2/"

MAKECONF="/etc/make.conf"
source $MAKECONF

for i in $MAKE_FLAGS ; do
   if ( strstr " $USE " " $i " ) && ( ! strstr " $CPU_FLAGS " " $i " ); then
      logger -s "USE flag $i ist gesetzt, aber die CPU kanns nicht !!!"
   elif ( ! strstr " $USE " " $i " ) && ( strstr " $CPU_FLAGS " " $i " ); then  
      logger -s "USE flag $i ist nicht gesetzt, aber die CPU kanns !!!"
   fi
done

if [ "$(grep "lpj=" /etc/lilo.conf)" = "" ] ; then
   LPJ=$(dmesg | grep "lpj=" | sed -e "s/.*lpj=//" -e "s/)//")
   if [ "$LPJ" != "" ] ; then
      echo "Setting LPJ to $LPJ"
      sed -i /etc/lilo.conf -e "s/video=/lpj=$LPJ video=/"
      lilo
   fi
fi

sh /_config/bin/powernow.sh
