#!/bin/sh
source /etc/vdr.d/conf/gen2vdr.cfg
source /etc/vdr.d/conf/vdr

NOAD="/_config/bin/vdrnoad.sh"

if [ -s $NOAD ] ; then
   if [ "$SET_MARKS" != "Nie" ] && [ "$1" != "cut" ] ; then
      $NOAD $1 "$2"
   fi   
else   
   logger -s "<$NOAD> not found" 
fi

# "Aufnahme startet:"-Meldung verschnern
TITLE=${2%/*}
TITLE=${TITLE#*$VIDEO/}
# Sofortaufnahmezeichen (@) entfernen

while [ "${TITLE:0:1}" == "@" ] ; do
  TITLE=${TITLE:1}
done
  
# _ durch Leerzeichen ersetzen
TITLE="${TITLE//_/ }";
# / durch ~ ersetzen
TITLE="${TITLE//\/\//~}";
TITLE="${TITLE//\//~}";
  
logger -s "$(date +"%F %R") vdrrecord $1 $2" >> /video/vdr.record 2>&1
MESG=""
case "$1" in
   before)
      MESG="Aufnahme: $TITLE"
      if [ "$SHAREMARKS" = "1" ] ; then
         screen -dm sh -c "marks2pts $1 \"$2\""
      fi
      ;;
   after)
      MESG="Beendet: $TITLE"
      #screen -dm sh -c "sleep 2; svdrpsend.pl MESG Aufnahme beendet: $2"
      ;;
   cut)
      if [ "$VDR_CUTTING_DIR" != "" ] && [ -d "$VDR_CUTTING_DIR" ] ; then
         REC_NAME="${2/\/%//}"
         if [ -e "${REC_NAME%/*}" ] && [ "$REC_NAME" != "$2" ] ; then
            DS="$(du -s "${REC_NAME%/*}" | cut -f 1)"
            DF="$(df -k "$VDR_CUTTING_DIR" | tail -n 1 |tr -s " " |cut -f 4 -d " ")"
            if [ $DF -gt $DS ] ; then
               SDIR=${2/$VIDEO\//}
               mkdir -p "${VDR_CUTTING_DIR}/${SDIR}"
               rmdir $2
               ln -s "${VDR_CUTTING_DIR}/${SDIR}" $2
               MESG="Schneide ${VDR_CUTTING_DIR}/${SDIR}"
            else
               MESG="Nicht genug Platz auf $VDR_CUTTING_DIR"
            fi
         else
            logger -s "$2 wird beim Schneiden nicht verschoben"
         fi
      fi
           
      if [ "$SHAREMARKS" = "1" ] ; then
         screen -dm sh -c "marks2pts -upload $1 \"$2\""
      fi
      ;;
   edited)
      if [ "$SHAREMARKS" = "1" ] ; then
         screen -dm sh -c "marks2pts -upload $1 \"$2\""
      fi
      ;;
   *)
      logger -s "ERROR: unknown state: $1"
      ;;
esac
if [ "$MESG" != "" ]; then
   logger -s $MESG
   screen -dm sh -c "svdrpsend.pl MESG $MESG"
fi
